Subject: Re: [RFC PATCH 1/3] t: import the clar unit testing framework

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 1 Aug 2024 11:32:04 +0200

On Wed, Jul 31, 2024 at 12:36:51PM -0700, Junio C Hamano wrote:
> Josh Steadmon <[email-masked]> writes:
> 
> > On 2024.07.31 11:04, Patrick Steinhardt wrote:
> >> Import the clar unit testing framework at commit faa8419 (Merge pull
> >> request #93 from clar-test/ethomson/fixtures, 2023-12-14). The framework
> >> will be wired up in subsequent commits.
> >
> > Rather than forking our own copy of clar, could we just add it as a
> > submodule instead?
> 
> I doubt that forking was Patrick's intention to begin with.
> Convenience is.

Indeed. If we decide to adopt it I'd like to carry any required changes
upstream.

> It certainly is a possibility to bind it as a submodule, but it
> would be easier for everybody to futz with and experiment, at least
> while it is in its RFC phase.

I'm not too fond of using submodules, but I'm also not strictly against
using them. I'll do whatever works best for folks here and adapt
accordingly.

Patrick